Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227014 - CVE-2006-6899 Bluetooth HID key events injection flaw
Summary: CVE-2006-6899 Bluetooth HID key events injection flaw
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: bluez-utils
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: David Woodhouse
QA Contact:
URL:
Whiteboard: impact=moderate,source=internet,repor...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-02 16:34 UTC by Marcel Holtmann
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version: RHSA-2007-0065
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-14 17:42:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2007:0065 normal SHIPPED_LIVE Moderate: bluez-utils security update 2008-01-07 15:03:33 UTC

Description Marcel Holtmann 2007-02-02 16:34:25 UTC
The hidd allows remote attackers to inject keyboard or mouse events via
unprotected L2CAP PSM 17 and 19. All versions before bluez-utils-2.23 are
affected. The hidd service must be activated to exploit this vulnerability.

Comment 5 Red Hat Bugzilla 2007-05-14 17:42:40 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2007-0065.html



Note You need to log in before you can comment on or make changes to this bug.